\documentclass[11pt,twoside,leqno]{memoir}


\usepackage{packages/setup}
\usepackage{csquotes}%maybe error will go away
\usepackage[english]{babel}
\usepackage{packages/bibconfig}
%loads bibliography package for this document
\addbibresource{einfalg/lit.bib}
\usepackage{packages/styles}

\usepackage{packages/mymathtools}
\usepackage{packages/theorems}


\include{einfalg/titlepage}

\makeatletter
\newlength{\@thlabel@width}%
\newcommand{\thmenumhspace}{\settowidth{\@thlabel@width}{\itshape1.}\sbox{\@labels}{\unhbox\@labels\hspace{\dimexpr-\leftmargin+\labelsep+\@thlabel@width-\itemindent}}}
\makeatother

\usepackage{mathabx}

%shows reference labels
\usepackage{showkeys}
\begin{document}

\frontmatter
\maketitle
\begin{KeepFromToc}
\tableofcontents
\end{KeepFromToc}
\include{einfalg/frontmatter}
\mainmatter
\setcounter{chapter}{2}
\setcounter{lecture}{3}
\input{einfalg/3}
\chapter{Groups}
\section{Cyclic groups}
\input{einfalg/5}
\input{einfalg/8}
\input{einfalg/9}
\input{einfalg/10}
\input{einfalg/11}
\input{einfalg/12}
\input{einfalg/13}
\input{einfalg/14}
\input{einfalg/15}
\input{einfalg/16}
\input{einfalg/17}
\input{einfalg/18}
\input{einfalg/19}
\input{einfalg/20}
\input{einfalg/21}
\input{einfalg/22}
\input{einfalg/23}
\input{einfalg/24}
\input{einfalg/25}
\input{einfalg/26}
\input{einfalg/27}
\input{einfalg/28}
\thispagestyle{rlast}
\appendix
\chapter{Insights from the exercise sheets}
\input{einfalg/exe1}
\input{einfalg/exe9}
\input{einfalg/grouptheoryapp}
\input{einfalg/ringapp}
\backmatter
\printbibliography[heading = bibintoc]
\printindex


\end{document}
